// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
// Copyright 2005 David le Roux

#ifndef _MAINWINDOW_H_
#define _MAINWINDOW_H_

#ifdef QT3
 #include <qmainwindow.h>
 #include <qstring.h>
 #include <qscrollarea.h>
#else
 #include <QMainWindow>
 #include <QString>
#endif
class SudokuWidget;
class QScrollArea;

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow();
    void setupMenuBar();

private:
 
    SudokuWidget* sudokuWidget;
    QScrollArea* scrollArea;
    QMenuBar* qMenuBar;
    QStatusBar* qStatusBar;
    QAction* undoAct;
    QAction* redoAct;
};


#endif /*_MAINWINDOW_H_*/
