 // This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
// Copyright 2005 David le Roux

#ifndef SOLUTION_DIALOG_H
#define SOLUTION_DIALOG_H

#include <QDialog>
#include "SudokuSolver.h"
#include "SolutionWidget.h"

class QListWidget;
class QListWidgetItem;
class QStackedWidget;


class SolutionDialog : public QDialog
{
	Q_OBJECT

public:
	SolutionDialog(QWidget* parent);
	void setSolutionStruct(SolutionStruct* s);

 //   public slots:
 //       void changePage(QListWidgetItem *current, QListWidgetItem *previous);

private:
	
	SolutionWidget* solutionWidget;
	QLabel* label;
//       void createIcons();

//       QListWidget *contentsWidget;
//       QStackedWidget *pagesWidget;
};

#endif
